<template>
	<view>
		<image class="width90" mode="widthFix" src="../../static/img/unionimg/union1.jpg" @click="jumpunionpay"></image>
		<image class="width90" mode="widthFix" src="../../static/img/unionimg/union2.jpg" @click="topay"></image>
		<view class="mart15 font16 fcor333">{{arr3}}</view>
		<view class="mart15 font16 fcor333">{{arr4}}</view>
		<view class="mart15 font16 fcor333">{{arr5}}</view>
		<view class="mart15 font16 fcor333">支付信息{{arr6}}</view>

	</view>
</template>

<script>
	export default {
		data() {
			return {
				arr3: '',
				arr4: '',
				arr5: [],
				arr6:''
			}
		},
		onLoad(options) {
		



			// if (JSON.stringify(options) != "{}") {
			// 	this.arr3 = decodeURIComponent(options)
			// 	this.arr4 = options;
			// 	let arr = [];
			// 	for (let s of options) {
			// 		const item = {
			// 			key: s,
			// 			value: options[s]
			// 		}
			// 		arr.push(item);
			// 	}
			// 	this.arr5 = arr;
			// }
		},
		methods: {
			//发起支付
			topay(){
				upsdk.pluginReady(function() {	
					upsdk.pay({
						tn: '554191640461075760517',
						mode:'00',
						success: function(res) {
							console.log('======='+res)
							this.arr6 = JSON.stringify(res);
							// 支付成功, 开发者执行后续操作。
						},
						fail: function(err) {
							console.log('======='+err)
							this.arr6 = JSON.stringify(err.msg);
							// 支付失败, err.msg 是失败原因描述, 比如TN号不合法, 或者用户取消了交易 等等。
						}
					});
				});
				
			},
			//跳转银联支付
			jumpunionpay() {
				uni.navigateTo({
					url: 'unionPay-entrance/unionPay-entrance'
				})
			}
		}
	}
</script>

<style>

</style>
